Skip to content

Generate Typst

POST
/api/automations/generate_typst_content
curl --request POST \
--url https://example.com/api/automations/generate_typst_content \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "doc_id": "example" }'
Media typeapplication/json
GenerateTypstRequest
object
doc_id
required
Doc Id
string
Examplegenerated
{
"doc_id": "example"
}

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}